package com.steerinfo.baseinfo.meterbaselimitchemical.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

public class MeterBaseLimitChemical implements IBasePO<String> {
    /**
     * 危化品限载编号(LIMIT_CHEMICAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="危化品限载编号",required=true)
    private String limitChemicalNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 限制类型编号(LIMIT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="限制类型编号",required=true)
    private String limitTypeNo;

    /**
     * 限制类型名称(LIMIT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="限制类型名称",required=true)
    private String limitTypeName;

    /**
     * 限载种类编号(LIMIT_CLASS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="限载种类编号",required=true)
    private String limitClassNo;

    /**
     * 限载种类名称(LIMIT_CLASS_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="限载种类名称",required=true)
    private String limitClassName;

    /**
     * 限载重量(LIMIT_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="限载重量",required=true)
    private BigDecimal limitWeight;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=true)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=true)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=true)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=true)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.limitChemicalNo;
    }

    @Override
    public void setId(String limitChemicalNo) {
        this.limitChemicalNo = limitChemicalNo == null ? null : limitChemicalNo.trim();
    }

    public String getLimitChemicalNo() {
        return limitChemicalNo;
    }

    public void setLimitChemicalNo(String limitChemicalNo) {
        this.limitChemicalNo = limitChemicalNo == null ? null : limitChemicalNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getLimitTypeNo() {
        return limitTypeNo;
    }

    public void setLimitTypeNo(String limitTypeNo) {
        this.limitTypeNo = limitTypeNo == null ? null : limitTypeNo.trim();
    }

    public String getLimitTypeName() {
        return limitTypeName;
    }

    public void setLimitTypeName(String limitTypeName) {
        this.limitTypeName = limitTypeName == null ? null : limitTypeName.trim();
    }

    public String getLimitClassNo() {
        return limitClassNo;
    }

    public void setLimitClassNo(String limitClassNo) {
        this.limitClassNo = limitClassNo == null ? null : limitClassNo.trim();
    }

    public String getLimitClassName() {
        return limitClassName;
    }

    public void setLimitClassName(String limitClassName) {
        this.limitClassName = limitClassName == null ? null : limitClassName.trim();
    }

    public BigDecimal getLimitWeight() {
        return limitWeight;
    }

    public void setLimitWeight(BigDecimal limitWeight) {
        this.limitWeight = limitWeight;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", limitChemicalNo=").append(limitChemicalNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", limitTypeNo=").append(limitTypeNo);
        sb.append(", limitTypeName=").append(limitTypeName);
        sb.append(", limitClassNo=").append(limitClassNo);
        sb.append(", limitClassName=").append(limitClassName);
        sb.append(", limitWeight=").append(limitWeight);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}